# Generated from moto_recall-0.0.21.gem by gem2rpm -*- rpm-spec -*-
%global gem_name moto_recall

Name: rubygem-%{gem_name}
Version: 0.0.21
Release: 1%{?dist}
Summary: Find vehicle recall info by manufacturer and VIN
License: MIT
URL: https://github.com/motologic/moto_recall
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry-byebug) >= 2.0
# BuildRequires: rubygem(pry-byebug) < 3
# BuildRequires: rubygem(colorize) >= 0.7.7
# BuildRequires: rubygem(colorize) < 0.8
# BuildRequires: rubygem(gimme_vins) >= 0.0.2
# BuildRequires: rubygem(gimme_vins) < 0.1
BuildArch: noarch

%description
Find vehicle recall info by manufacturer and VIN.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/samples-example.csv
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/moto_recall.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.21-1
- Initial package
